{
  "schema_version": "1.4.0",
  "id": "GHSA-mfg4-w44m-wr4g",
  "modified": "2022-10-13T19:00:21Z",
  "published": "2022-05-24T19:20:40Z",
  "aliases": [
    "CVE-2021-43618"
  ],
  "details": "GNU Multiple Precision Arithmetic Library (GMP) through 6.2.1 has an mpz/inp_raw.c integer overflow and resultant buffer overflow via crafted input, leading to a segmentation fault on 32-bit platforms.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2021-43618"
    },
    {
      "type": "WEB",
      "url": "https://bugs.debian.org/994405"
    },
    {
      "type": "WEB",
      "url": "https://gmplib.org/list-archives/gmp-bugs/2021-September/005077.html"
    },
    {
      "type": "WEB",
      "url": "https://gmplib.org/repo/gmp-6.2/rev/561a9c25298e"
    },
    {
      "type": "WEB",
      "url": "https://lists.debian.org/debian-lts-announce/2021/12/msg00001.html"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/202309-13"
    },
    {
      "type": "WEB",
      "url": "https://security.netapp.com/advisory/ntap-20221111-0001"
    },
    {
      "type": "WEB",
      "url": "http://seclists.org/fulldisclosure/2022/Oct/8"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2022/10/13/3"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2021-11-15T04:15:00Z"
  }
}